import { createFoundationSimulationServer, type SimulationHandlers, type FoundationSimulator } from "@simulacrum/foundation-simulator";
import { ExtendedSimulationStore } from "./store/index";
import { type GitHubInitialStore } from "./store/entities";
import type { SchemaFile } from "./utils";
export type GitHubSimulator = ({ initialState, apiUrl, apiSchema, extend, }?: {
    initialState?: GitHubInitialStore;
    apiUrl?: string;
    apiSchema?: SchemaFile | string;
    extend?: {
        extendStore?: SimulationInput["extendStore"];
        openapiHandlers?: (simulationStore: ExtendedSimulationStore) => SimulationHandlers;
        extendRouter?: SimulationInput["extendRouter"];
    };
}) => ReturnType<FoundationSimulator<ExtendedSimulationStore>>;
type SimulationInput = Parameters<typeof createFoundationSimulationServer>[0];
export declare const simulation: GitHubSimulator;
export { githubUserSchema, githubOrganizationSchema, githubRepositorySchema, githubBranchSchema, githubBlobSchema, } from "./store/entities";
//# sourceMappingURL=index.d.ts.map